#!/usr/bin/ruby -w
#
# $Id: tc_amazon-wishlist.rb,v 1.2 2004/02/26 23:05:49 ianmacd Exp $

$: << File.dirname(__FILE__) + "/../lib"

require 'test/unit'
require 'amazon/wishlist'

include Amazon


class TC_AmazonWishlistTest < Test::Unit::TestCase

  ASSOC_ID	= "webservices-20"
  DEV_TOKEN     = "D23XFCO2UKJY82"    # random token

  def test_add_item
    html = Wishlist.add_item_form(DEV_TOKEN, ASSOC_ID, '123', 'de')
    assert_kind_of(String, html, 'no string returned')
  end

end
